# This file is the entry point to configure your own services.
# Files in the packages/ subdirectory configure your dependencies.

# Put parameters here that don't need to change on each machine where the app is deployed
# https://symfony.com/doc/current/best_practices.html#use-parameters-for-application-configuration
parameters:
    applePayPaymentProcessorKey: '%env(secret_manager:APPLE_PAY_PRIVATE_KEY)%'
    appleMerchantId: '%env(APPLE_PAY_MERCHANT_ID)%'
    googlePayPrivateKey: '%env(secret_manager:GOOGLE_PAY_PRIVATE_KEY)%'
services:
    # default configuration for services in *this* file
    _defaults:
        autowire: true      # Automatically injects dependencies in your services.
        autoconfigure: true # Automatically registers your services as commands, event subscribers, etc.

    # makes classes in src/ available to be used as services
    # this creates a service per class whose id is the fully-qualified class name
    App\:
        resource: '../src/'
        exclude:
            - '../src/DependencyInjection/'
            - '../src/Entity/'
            - '../src/Kernel.php'
    App\Builder\VisaBuilder:
        arguments:
            $visaAppleWsdKey: '%env(secret_manager:VISA_APPLE_WSD_KEY)%'
            $visaAppleWsdKeyString: '%env(secret_manager:VISA_APPLE_WSD_STRING)%'
            $visaGoogleSharedSecret: '%env(secret_manager:VISA_GOOGLE_SHARED_SECRET)%'
            $visaGoogleApiKey: '%env(secret_manager:VISA_GOOGLE_API_KEY)%'
            $visaGoogleClientAppId: '%env(secret_manager:VISA_GOOGLE_CLIENT_APP_ID)%'
    App\Builder\MastercardBuilder:
        arguments:
            $mastercardTav: '%env(secret_manager:MASTERCARD_TAV)%'
            $mastercardPepkCertificate: '%env(secret_manager:MASTERCARD_PEPK_CERTIFICATE)%'

    # add more service definitions when explicit configuration is needed
    # please note that last definitions always *replace* previous ones
